Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 105)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 106)
@@ -2446,34 +3854,4 @@
 		vrLoc = 1337;
 	};
-	E16C834403F759D800050002 = {
-		fRef = E16C83B403F759D800050002;
-		isa = PBXTextBookmark;
-		name = "ApplicationEnhancer.h: 15";
-		rLen = 20;
-		rLoc = 325;
-		rType = 0;
-		vrLen = 1356;
-		vrLoc = 0;
-	};
-	E16C834503F759D800050002 = {
-		fRef = E169DBA703E4F6A400050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEConfig.h: 15";
-		rLen = 0;
-		rLoc = 275;
-		rType = 0;
-		vrLen = 1716;
-		vrLoc = 218;
-	};
-	E16C834603F759D800050002 = {
-		fRef = E14343B403DB4CF200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEE.m: __PTRDIFF_TYPE__";
-		rLen = 0;
-		rLoc = 197;
-		rType = 0;
-		vrLen = 1599;
-		vrLoc = 0;
-	};
 	E16C834703F759D800050002 = {
 		fRef = E16C83B503F759D800050002;
@@ -2573,45 +3951,5 @@
 		rLoc = 705;
 		rType = 0;
-		vrLen = 1588;
-		vrLoc = 0;
-	};
-	E16C835103F759D800050002 = {
-		fRef = 089C165DFE840E0CC02AAC07;
-		isa = PBXTextBookmark;
-		name = "English: 5";
-		rLen = 0;
-		rLoc = 151;
-		rType = 0;
-		vrLen = 234;
-		vrLoc = 0;
-	};
-	E16C835203F759D800050002 = {
-		fRef = E1BF15BD03DBBD3E00050002;
-		isa = PBXTextBookmark;
-		name = "package-ICeCoffEE.sh: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1161;
-		vrLoc = 0;
-	};
-	E16C835303F759D800050002 = {
-		fRef = F9A6986E03BE1DF000AA4DA5;
-		isa = PBXTextBookmark;
-		name = "APEMain.m: icVersionRef";
-		rLen = 0;
-		rLoc = 2366;
-		rType = 0;
-		vrLen = 1887;
-		vrLoc = 1341;
-	};
-	E16C835403F759D800050002 = {
-		fRef = E1BF15BF03DBBE8900050002;
-		isa = PBXTextBookmark;
-		name = "VERSION: 1";
-		rLen = 0;
-		rLoc = 5;
-		rType = 0;
-		vrLen = 6;
+		vrLen = 1587;
 		vrLoc = 0;
 	};
@@ -2624,24 +3962,4 @@
 		rType = 0;
 		vrLen = 1325;
-		vrLoc = 0;
-	};
-	E16C835603F759D800050002 = {
-		fRef = E135625E03DC9FC200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.h: ICCF_DEBUG";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 1362;
-		vrLoc = 0;
-	};
-	E16C835703F759D800050002 = {
-		fRef = F56276C20379923401AA4DA5;
-		isa = PBXTextBookmark;
-		name = "APEInfo.rtfd: 123";
-		rLen = 0;
-		rLoc = 8022;
-		rType = 0;
-		vrLen = 1463;
 		vrLoc = 0;
 	};
@@ -2665,5 +3983,5 @@
 		name = "English: 5";
 		rLen = 0;
-		rLoc = 151;
+		rLoc = 155;
 		rType = 0;
 		vrLen = 234;
@@ -2675,5 +3993,5 @@
 		name = "VERSION: 1";
 		rLen = 0;
-		rLoc = 5;
+		rLoc = 7;
 		rType = 0;
 		vrLen = 6;
@@ -2685,7 +4003,7 @@
 		name = "English: 105";
 		rLen = 0;
-		rLoc = 3439;
-		rType = 0;
-		vrLen = 1481;
+		rLoc = 3435;
+		rType = 0;
+		vrLen = 1477;
 		vrLoc = 1958;
 	};
@@ -2695,5 +4013,5 @@
 		name = "English: 5";
 		rLen = 0;
-		rLoc = 151;
+		rLoc = 155;
 		rType = 0;
 		vrLen = 234;
@@ -2705,7 +4023,7 @@
 		name = "English: 105";
 		rLen = 0;
-		rLoc = 3439;
-		rType = 0;
-		vrLen = 1481;
+		rLoc = 3435;
+		rType = 0;
+		vrLen = 1477;
 		vrLoc = 1958;
 	};
@@ -2719,5 +4037,5 @@
 		name = "VERSION: 1";
 		rLen = 0;
-		rLoc = 5;
+		rLoc = 7;
 		rType = 0;
 		vrLen = 6;
@@ -2879,5 +4197,5 @@
 		name = "ICeCoffEEShared.h: ICCF_DEBUG";
 		rLen = 0;
-		rLoc = 283;
+		rLoc = 305;
 		rType = 0;
 		vrLen = 1334;
@@ -2899,5 +4217,5 @@
 		name = "ICeCoffEEShared.h: ICCF_DEBUG";
 		rLen = 0;
-		rLoc = 283;
+		rLoc = 305;
 		rType = 0;
 		vrLen = 1334;
@@ -2939,5 +4257,5 @@
 		name = "VERSION: 1";
 		rLen = 0;
-		rLoc = 5;
+		rLoc = 7;
 		rType = 0;
 		vrLen = 6;
@@ -2953,5 +4271,5 @@
 		name = "English: 5";
 		rLen = 0;
-		rLoc = 151;
+		rLoc = 155;
 		rType = 0;
 		vrLen = 234;
@@ -2963,7 +4281,7 @@
 		name = "English: 105";
 		rLen = 0;
-		rLoc = 3439;
-		rType = 0;
-		vrLen = 1481;
+		rLoc = 3435;
+		rType = 0;
+		vrLen = 1477;
 		vrLoc = 1958;
 	};
@@ -3001,5 +4319,5 @@
 		name = "APEMain.m: ICCF_ReloadPrefs";
 		rLen = 16;
-		rLoc = 10916;
+		rLoc = 10939;
 		rType = 0;
 		vrLen = 2080;
@@ -3041,5 +4359,5 @@
 		name = "APEMain.m: ICCF_ReloadPrefs";
 		rLen = 16;
-		rLoc = 10916;
+		rLoc = 10939;
 		rType = 0;
 		vrLen = 1876;
@@ -3051,5 +4369,5 @@
 		name = "ICeCoffEEShared.h: ICCF_DEBUG";
 		rLen = 0;
-		rLoc = 283;
+		rLoc = 305;
 		rType = 0;
 		vrLen = 1362;
@@ -3073,5 +4391,5 @@
 		rLoc = 705;
 		rType = 0;
-		vrLen = 1588;
+		vrLen = 1587;
 		vrLoc = 0;
 	};
@@ -3216,14 +4534,4 @@
 		vrLoc = 1636;
 	};
-	E16C839403F759D800050002 = {
-		fRef = E16C83B903F759D800050002;
-		isa = PBXTextBookmark;
-		name = "ApplicationEnhancer.h: 15";
-		rLen = 20;
-		rLoc = 325;
-		rType = 0;
-		vrLen = 1356;
-		vrLoc = 0;
-	};
 	E16C839503F759D800050002 = {
 		fRef = F9A6987103BE1DFF00AA4DA5;
@@ -3241,5 +4549,5 @@
 		name = "ICeCoffEEConfig.h: 15";
 		rLen = 0;
-		rLoc = 275;
+		rLoc = 304;
 		rType = 0;
 		vrLen = 1716;
@@ -3343,5 +4651,5 @@
 		rLoc = 705;
 		rType = 0;
-		vrLen = 1588;
+		vrLen = 1587;
 		vrLoc = 0;
 	};
@@ -3361,5 +4669,5 @@
 		name = "VERSION: 1";
 		rLen = 0;
-		rLoc = 5;
+		rLoc = 7;
 		rType = 0;
 		vrLen = 6;
@@ -3371,5 +4679,5 @@
 		name = "English: 5";
 		rLen = 0;
-		rLoc = 151;
+		rLoc = 155;
 		rType = 0;
 		vrLen = 234;
@@ -3411,5 +4719,5 @@
 		name = "VERSION: 1";
 		rLen = 0;
-		rLoc = 5;
+		rLoc = 7;
 		rType = 0;
 		vrLen = 6;
@@ -3431,52 +4739,8 @@
 		name = "ICeCoffEEShared.h: ICCF_DEBUG";
 		rLen = 0;
-		rLoc = 283;
+		rLoc = 305;
 		rType = 0;
 		vrLen = 1362;
 		vrLoc = 0;
-	};
-	E16C83AA03F759D800050002 = {
-		fRef = F56276C20379923401AA4DA5;
-		isa = PBXTextBookmark;
-		name = "APEInfo.rtfd: 123";
-		rLen = 0;
-		rLoc = 8022;
-		rType = 0;
-		vrLen = 2014;
-		vrLoc = 7089;
-	};
-	E16C83AB03F759D800050002 = {
-		fRef = E16C83BB03F759D800050002;
-		isa = PBXTextBookmark;
-		rLen = 1;
-		rLoc = 14;
-		rType = 1;
-	};
-	E16C83AC03F759D800050002 = {
-		fRef = E16C83BA03F759D800050002;
-		isa = PBXTextBookmark;
-		name = "ApplicationEnhancer.h: 15";
-		rLen = 20;
-		rLoc = 325;
-		rType = 0;
-		vrLen = 156;
-		vrLoc = 189;
-	};
-	E16C83AD03F759D800050002 = {
-		fRef = E16C83BC03F759D800050002;
-		isa = PBXTextBookmark;
-		rLen = 8;
-		rLoc = 3704;
-		rType = 0;
-	};
-	E16C83AE03F759D800050002 = {
-		fRef = E16C83BE03F759D800050002;
-		isa = PBXTextBookmark;
-		name = "CFBundle.h: 102";
-		rLen = 24;
-		rLoc = 3704;
-		rType = 0;
-		vrLen = 578;
-		vrLoc = 3398;
 	};
 	E16C83AF03F759D800050002 = {
@@ -3486,10 +4750,4 @@
 		refType = 0;
 	};
-	E16C83B003F759D800050002 = {
-		isa = PBXFileReference;
-		name = APETools.h;
-		path = /Library/Frameworks/ApplicationEnhancer.framework/Versions/A/Headers/APETools.h;
-		refType = 0;
-	};
 	E16C83B103F759D800050002 = {
 		isa = PBXFileReference;
@@ -3510,10 +4768,4 @@
 		refType = 0;
 	};
-	E16C83B403F759D800050002 = {
-		isa = PBXFileReference;
-		name = ApplicationEnhancer.h;
-		path = /Library/Frameworks/ApplicationEnhancer.framework/Versions/A/Headers/ApplicationEnhancer.h;
-		refType = 0;
-	};
 	E16C83B503F759D800050002 = {
 		isa = PBXFileReference;
@@ -3540,28 +4792,4 @@
 		refType = 0;
 	};
-	E16C83B903F759D800050002 = {
-		isa = PBXFileReference;
-		name = ApplicationEnhancer.h;
-		path = /Library/Frameworks/ApplicationEnhancer.framework/Versions/A/Headers/ApplicationEnhancer.h;
-		refType = 0;
-	};
-	E16C83BA03F759D800050002 = {
-		isa = PBXFileReference;
-		name = ApplicationEnhancer.h;
-		path = /Library/Frameworks/ApplicationEnhancer.framework/Versions/A/Headers/ApplicationEnhancer.h;
-		refType = 0;
-	};
-	E16C83BB03F759D800050002 = {
-		isa = PBXFileReference;
-		name = ApplicationEnhancer.h;
-		path = /Library/Frameworks/ApplicationEnhancer.framework/Headers/ApplicationEnhancer.h;
-		refType = 0;
-	};
-	E16C83BC03F759D800050002 = {
-		isa = PBXFileReference;
-		name = CFBundle.h;
-		path = /System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFBundle.h;
-		refType = 0;
-	};
 	E16C83BD03F759D800050002 = {
 		isa = PBXFileReference;
@@ -3570,9 +4798,23 @@
 		refType = 0;
 	};
-	E16C83BE03F759D800050002 = {
-		isa = PBXFileReference;
-		name = CFBundle.h;
-		path = /System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFBundle.h;
-		refType = 0;
+	E16C842603FB6A7200050002 = {
+		fRef = F56276C20379923401AA4DA5;
+		isa = PBXTextBookmark;
+		name = "APEInfo.rtfd: 257";
+		rLen = 0;
+		rLoc = 14102;
+		rType = 0;
+		vrLen = 2008;
+		vrLoc = 7089;
+	};
+	E16C842703FB6A7200050002 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEActionMenu.c: 73";
+		rLen = 19;
+		rLoc = 3370;
+		rType = 0;
+		vrLen = 1796;
+		vrLoc = 2836;
 	};
 	E175F28303E7445700050002 = {
@@ -3630,6 +4872,26 @@
 		fileReference = E14343B403DB4CF200050002;
 		isa = PBXFileBreakpoint;
-		lineNumber = 145;
+		lineNumber = 144;
 		state = 1;
+	};
+	E1937CF1040C300300050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 78";
+		rLen = 0;
+		rLoc = 2312;
+		rType = 0;
+		vrLen = 1300;
+		vrLoc = 1327;
+	};
+	E1937CF2040C300300050002 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEActionMenu.c: ICCF_NameWithLocation";
+		rLen = 0;
+		rLoc = 1063;
+		rType = 0;
+		vrLen = 1799;
+		vrLoc = 0;
 	};
 	E19EB4E703DD355C00050002 = {
@@ -3659,4 +4921,121 @@
 		);
 	};
+	E1ABE98B040D48E700050002 = {
+		activeArgIndex = 2147483647;
+		activeArgIndices = (
+		);
+		argumentStrings = (
+		);
+		configStateDict = {
+		};
+		debuggerPlugin = GDBDebugging;
+		dylibVariantSuffix = "";
+		enableDebugStr = 1;
+		environmentEntries = (
+		);
+		isa = PBXExecutable;
+		launchableReference = E1ABE98C040D48E700050002;
+		name = Safari;
+		shlibInfoDictList = (
+		);
+		sourceDirectories = (
+		);
+	};
+	E1ABE98C040D48E700050002 = {
+		isa = PBXApplicationReference;
+		name = Safari.app;
+		path = /Users/nicholas/Applications/Safari.app;
+		refType = 0;
+	};
+	E1ABE98F040D4E8F00050002 = {
+		exec = E104851C040C1E3900050002;
+		isa = PBXExecutableBookmark;
+	};
+	E1ABE990040D4E8F00050002 = {
+		exec = E1ABE98B040D48E700050002;
+		isa = PBXExecutableBookmark;
+	};
+	E1ABE991040D4E8F00050002 = {
+		fRef = E1BF167203DBEAA000050002;
+		isa = PBXTextBookmark;
+		name = "WebCoreBridge.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1686;
+		vrLoc = 0;
+	};
+	E1ABE993040D4E8F00050002 = {
+		fRef = E14343B403DB4CF200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEE.m: ICCF_CheckRange";
+		rLen = 0;
+		rLoc = 2426;
+		rType = 0;
+		vrLen = 1872;
+		vrLoc = 2204;
+	};
+	E1ABE994040D4E8F00050002 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEActionMenu.c: ICCF_NameWithLocation";
+		rLen = 0;
+		rLoc = 1063;
+		rType = 0;
+		vrLen = 1799;
+		vrLoc = 0;
+	};
+	E1ABE995040D4E8F00050002 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEWebKit.m: 37";
+		rLen = 0;
+		rLoc = 796;
+		rType = 0;
+		vrLen = 1018;
+		vrLoc = 0;
+	};
+	E1ABE996040D4E8F00050002 = {
+		exec = E104851C040C1E3900050002;
+		isa = PBXExecutableBookmark;
+	};
+	E1ABE997040D4E8F00050002 = {
+		exec = E1ABE98B040D48E700050002;
+		isa = PBXExecutableBookmark;
+	};
+	E1ABE998040D4E8F00050002 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEWebKit.m: mouseUp:";
+		rLen = 0;
+		rLoc = 3048;
+		rType = 0;
+		vrLen = 1810;
+		vrLoc = 792;
+	};
+	E1ABE999040D4E8F00050002 = {
+		fRef = E1BF167203DBEAA000050002;
+		isa = PBXTextBookmark;
+		name = "WebCoreBridge.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1686;
+		vrLoc = 0;
+	};
+	E1ABE99D040D623300050002 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEWebKit.m: mouseUp:";
+		rLen = 0;
+		rLoc = 4793;
+		rType = 0;
+		vrLen = 1807;
+		vrLoc = 3386;
+	};
+	E1ABE99E040D623300050002 = {
+		isa = PBXTargetBookmark;
+		trg = F5CD5E9D02DAE2C901AA4DA5;
+	};
 	E1BF159B03DBA71000050002 = {
 		activeExec = 0;
@@ -3685,4 +5064,124 @@
 		);
 	};
+	E1BFDA5C0418987900050002 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEActionMenu.c: ICCF_AddAppItemTitle";
+		rLen = 0;
+		rLoc = 3589;
+		rType = 0;
+		vrLen = 1993;
+		vrLoc = 2440;
+	};
+	E1BFDA5D0418987900050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 96";
+		rLen = 0;
+		rLoc = 3113;
+		rType = 0;
+		vrLen = 1336;
+		vrLoc = 1953;
+	};
+	E1C59B0303FDE6DD00050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: ICCF_AddBookmark";
+		rLen = 0;
+		rLoc = 3887;
+		rType = 0;
+		vrLen = 1922;
+		vrLoc = 2897;
+	};
+	E1C59B0403FDE6DD00050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: ICCF_AddBookmark";
+		rLen = 0;
+		rLoc = 3887;
+		rType = 0;
+		vrLen = 1922;
+		vrLoc = 2897;
+	};
+	E1DEF0F703FE2F8D00050002 = {
+		fRef = F56276C20379923401AA4DA5;
+		isa = PBXTextBookmark;
+		name = "APEInfo.rtfd: 119";
+		rLen = 0;
+		rLoc = 7679;
+		rType = 0;
+		vrLen = 1965;
+		vrLoc = 7089;
+	};
+	E1DEF10F03FF95C900050002 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEActionMenu.c: ICCF_AddAppItemTitle";
+		rLen = 19;
+		rLoc = 3370;
+		rType = 0;
+		vrLen = 2207;
+		vrLoc = 8984;
+	};
+	E1DEF11003FF95C900050002 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 155;
+		rType = 0;
+		vrLen = 234;
+		vrLoc = 0;
+	};
+	E1DEF11103FF95C900050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 74";
+		rLen = 0;
+		rLoc = 2509;
+		rType = 0;
+		vrLen = 1563;
+		vrLoc = 0;
+	};
+	E1DEF11203FF95C900050002 = {
+		fRef = F56276C20379923401AA4DA5;
+		isa = PBXTextBookmark;
+		name = "APEInfo.rtfd: 119";
+		rLen = 0;
+		rLoc = 7679;
+		rType = 0;
+		vrLen = 1965;
+		vrLoc = 7089;
+	};
+	E1F6E3AF040BD0C700050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 63";
+		rLen = 0;
+		rLoc = 2133;
+		rType = 0;
+		vrLen = 1477;
+		vrLoc = 1958;
+	};
+	E1F6E3B0040BD0C700050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 8";
+		rLen = 0;
+		rLoc = 337;
+		rType = 0;
+		vrLen = 1435;
+		vrLoc = 0;
+	};
+	E1F6E3B1040BD0C700050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 96";
+		rLen = 0;
+		rLoc = 3113;
+		rType = 0;
+		vrLen = 1477;
+		vrLoc = 1958;
+	};
 	F57E31A00379599E01AA4DA5 = {
 		activeExec = 0;
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj	(revision 105)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj	(revision 106)
@@ -121,4 +121,5 @@
 			children = (
 				29B97319FDCFA39411CA2CEA,
+				E140C476040BBABD009FF178,
 			);
 			isa = PBXVariantGroup;
@@ -256,4 +257,37 @@
 			};
 		};
+		E140C472040BB987009FF178 = {
+			children = (
+				F56276C20379923401AA4DA5,
+				E140C475040BB997009FF178,
+			);
+			isa = PBXVariantGroup;
+			name = APEInfo.rtfd;
+			refType = 4;
+		};
+		E140C473040BB987009FF178 = {
+			fileRef = E140C472040BB987009FF178;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E140C474040BB987009FF178 = {
+			fileRef = E140C472040BB987009FF178;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E140C475040BB997009FF178 = {
+			isa = PBXFileReference;
+			name = Japanese;
+			path = Japanese.lproj/APEInfo.rtfd;
+			refType = 4;
+		};
+		E140C476040BBABD009FF178 = {
+			isa = PBXFileReference;
+			name = Japanese;
+			path = "Japanese.lproj/APE Manager plugin.nib";
+			refType = 4;
+		};
 		E14343AE03DB48F700050002 = {
 			children = (
@@ -359,5 +393,5 @@
 			fileEncoding = 4;
 			isa = PBXFileReference;
-			path = ICeCoffEEActionMenu.h;
+			path = ICeCoffEEAction.h;
 			refType = 4;
 		};
@@ -365,5 +399,5 @@
 			fileEncoding = 30;
 			isa = PBXFileReference;
-			path = ICeCoffEEActionMenu.c;
+			path = ICeCoffEEAction.c;
 			refType = 4;
 		};
@@ -426,5 +460,5 @@
 		};
 		E182C8F603DE817F00050002 = {
-			fileEncoding = 4;
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = ICeCoffEEShared.m;
@@ -671,5 +705,5 @@
 		E1BF154403DB950B00050002 = {
 			children = (
-				F56276C20379923401AA4DA5,
+				E140C472040BB987009FF178,
 			);
 			isa = PBXGroup;
@@ -828,5 +862,5 @@
 				E19EB50203DD365D00050002,
 				E1BF166803DBD09A00050002,
-				E1BF15B303DBAD1500050002,
+				E140C474040BB987009FF178,
 				E1BF15A803DBAA5700050002,
 			);
@@ -857,10 +891,4 @@
 			shellScript = "cd \"${TARGET_BUILD_DIR}/ICeCoffEE Installer.app/Contents/Resources/ui\" && \\\n# printenv | sort\ntest -d APEInfo.rtfd && \\\nrm -rf \"ReadMe.rtfd\" && \\\nmv APEInfo.rtfd \"ReadMe.rtfd\"";
 		};
-		E1BF15B303DBAD1500050002 = {
-			fileRef = F56276C20379923401AA4DA5;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
 		E1BF15BD03DBBD3E00050002 = {
 			fileEncoding = 30;
@@ -957,5 +985,5 @@
 		};
 		E1CBC99803E7602700050002 = {
-			fileEncoding = 4;
+			fileEncoding = 10;
 			isa = PBXFileReference;
 			name = English;
@@ -966,4 +994,5 @@
 			children = (
 				E1CBC99803E7602700050002,
+				E1F6E3AC040BCC5700050002,
 			);
 			isa = PBXVariantGroup;
@@ -976,4 +1005,11 @@
 			settings = {
 			};
+		};
+		E1F6E3AC040BCC5700050002 = {
+			fileEncoding = 10;
+			isa = PBXFileReference;
+			name = Japanese;
+			path = Japanese.lproj/Localizable.strings;
+			refType = 4;
 		};
 //E10
@@ -1009,10 +1045,4 @@
 			target = F57E31A00379599E01AA4DA5;
 		};
-		F56276B20379684101AA4DA5 = {
-			fileRef = 089C165CFE840E0CC02AAC07;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
 		F56276B903796C8B01AA4DA5 = {
 			fileEncoding = 30;
@@ -1041,12 +1071,7 @@
 		F56276C20379923401AA4DA5 = {
 			isa = PBXFileReference;
-			path = APEInfo.rtfd;
-			refType = 4;
-		};
-		F56276C30379923401AA4DA5 = {
-			fileRef = F56276C20379923401AA4DA5;
-			isa = PBXBuildFile;
-			settings = {
-			};
+			name = English;
+			path = English.lproj/APEInfo.rtfd;
+			refType = 4;
 		};
 		F574113202F45276011A08DB = {
@@ -1076,5 +1101,4 @@
 			files = (
 				F57E31A703795CCF01AA4DA5,
-				F56276B20379684101AA4DA5,
 			);
 			isa = PBXResourcesBuildPhase;
@@ -1235,5 +1259,5 @@
 			buildActionMask = 2147483647;
 			files = (
-				F56276C30379923401AA4DA5,
+				E140C473040BB987009FF178,
 				E1CBC99B03E7603400050002,
 			);
@@ -1335,5 +1359,5 @@
 	<string>ICCF</string>
 	<key>CFBundleVersion</key>
-	<string>1.3.1</string>
+	<string>1.3.2b1</string>
 </dict>
 </plist>
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.h
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.h	(revision 105)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.h	(revision 106)
@@ -23,6 +23,6 @@
 BOOL ICCF_EventIsCommandMouseDown(NSEvent *e);
 
-// returns YES if the current event's modifier flags include the option key
-BOOL ICCF_OptionKeyIsDown();
+// returns the action determined by the current state of keyboard modifiers
+iccfURLAction ICCF_KeyboardAction();
 
 // throws an exception if the URL range is nonexistent or too big
@@ -41,6 +41,6 @@
 void ICCF_ParseURL(NSString *string, NSRange *range);
 
-// calls ICLaunchURL or ICCF_LaunchURLWithApplication (if chooseApp)
-void ICCF_LaunchURL(NSString *string, BOOL chooseApp);
+// calls ICCF_DoURLAction
+void ICCF_LaunchURL(NSString *string, iccfURLAction action);
 
 // launch URL from on selected text view cursor position or selection
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m	(revision 105)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m	(revision 106)
@@ -22,5 +22,4 @@
 #include <unistd.h>
 #import "ICeCoffEESuper.h"
-#import "ICeCoffEEActionMenu.h"
 
 iccfPrefRec ICCF_prefs;
@@ -58,13 +57,13 @@
 
 BOOL ICCF_EventIsCommandMouseDown(NSEvent *e) {
-    unsigned int modifierFlags = [e modifierFlags];
-    return ([e type] == NSLeftMouseDown &&
-            (modifierFlags == NSCommandKeyMask || modifierFlags == (NSCommandKeyMask | NSAlternateKeyMask))
-            && [e clickCount] == 1);
-}
-
-BOOL ICCF_OptionKeyIsDown() {
+    return ([e type] == NSLeftMouseDown && ([e modifierFlags] & NSCommandKeyMask) != 0 && [e clickCount] == 1);
+}
+
+iccfURLAction ICCF_KeyboardAction() {
     unsigned int modifierFlags = [[NSApp currentEvent] modifierFlags];
-    return (modifierFlags & NSAlternateKeyMask) != 0;
+    iccfURLAction action;
+    action.presentMenu = (modifierFlags & NSAlternateKeyMask) != 0;
+    action.launchInBackground = (modifierFlags & NSShiftKeyMask) != 0;
+    return action;
 }
 
@@ -233,5 +232,5 @@
 }
 
-void ICCF_LaunchURL(NSString *string, BOOL chooseApp) {
+void ICCF_LaunchURL(NSString *string, iccfURLAction action) {
     OSStatus err;
     long selStart, selEnd;
@@ -259,11 +258,6 @@
         }
 
-        if (chooseApp) {
-            err = ICCF_DoURLActionMenu(ICCF_GetInst(), hint, *h, selStart, selEnd);
-            ICCF_OSErrCAssert(err, @"ICCF_DoURLActionMenu");
-        } else {
-            err = ICLaunchURL(ICCF_GetInst(), hint, *h, len, &selStart, &selEnd);
-            ICCF_OSErrCAssert(err, @"ICLaunchURL");
-        }
+        err = ICCF_DoURLAction(ICCF_GetInst(), hint, *h, selStart, selEnd, action);
+        ICCF_OSErrCAssert(err, @"ICCF_DoURLAction");
         
     NS_HANDLER
@@ -276,7 +270,7 @@
 
 // XXX not sure what to do if there's already a selection; BBEdit and MLTE extend it, Tex-Edit Plus doesn't.
-// RFC-ordained max URL length, just to avoid passing IC multi-megabyte documents
+// RFC-ordained max URL length, just to avoid passing IC/LS multi-megabyte documents
 #if ICCF_DEBUG
-const long ICCF_MAX_URL_LEN = 1024; // XXX change later
+const long ICCF_MAX_URL_LEN = 60; // XXX change later
 #else
 const long ICCF_MAX_URL_LEN = 1024;
@@ -369,5 +363,5 @@
         [self display];
 
-        ICCF_LaunchURL([s substringWithRange: range], ICCF_OptionKeyIsDown());
+        ICCF_LaunchURL([s substringWithRange: range], ICCF_KeyboardAction());
 
         if (ICCF_prefs.textBlinkEnabled) {
@@ -473,14 +467,8 @@
     ICLog(@"ICeCoffEE down: %@", e);
 #endif
-    // we don't actually get a mouseUp event, just wait for mouseDown to return
-    [super mouseDown: e];
-    if (!ICCF_enabled || !ICCF_prefs.commandClickEnabled) {
-#if ICCF_DEBUG
-        down = NO;
-#endif
-        return;
-    }
-    // don't want command-shift-click, etc. to trigger
-    if (ICCF_EventIsCommandMouseDown(e)) {
+    if (ICCF_enabled && ICCF_prefs.commandClickEnabled && ICCF_EventIsCommandMouseDown(e)) {
+        // don't want to trigger selection extension or anything else; pass through as a plain click
+        [super mouseDown: [NSEvent mouseEventWithType: NSLeftMouseDown location: [e locationInWindow] modifierFlags: 0 timestamp: [e timestamp] windowNumber: [e windowNumber] context: [e context] eventNumber: [e eventNumber] clickCount: 1 pressure: 0]];
+        // we don't actually get a mouseUp event, just wait for mouseDown to return
         NSEvent *upEvent = [[self window] currentEvent];
         NSPoint downPt = [e locationInWindow];
@@ -491,4 +479,6 @@
             ICCF_LaunchURLFromTextView(self);
         }
+    } else {
+        [super mouseDown: e];
     }
 #if ICCF_DEBUG
